package com.yn.bftl.thirdparty.modules.u8;

import io.swagger.annotations.ApiModel;
import lombok.Data;

@Data
@ApiModel(value = "U8ResponseVO", description = "U8接口响应VO")
public class U8ResponseVO {

    private String code;

    private String data;

    private String errorMessage;

    public U8ResponseVO success() {
        this.code = "200";
        return this;
    }

    public U8ResponseVO error(String errorMessage) {
        this.errorMessage = errorMessage;
        this.code = "500";
        return this;
    }
}
